Package org.snpeff.snpEffect.commandLine

# Class SnpEffCmdAcat

java.lang.Object
org.snpeff.SnpEff
org.snpeff.snpEffect.commandLine.SnpEffCmdAcat

All Implemented Interfaces:
  `CommandLine`

public class SnpEffCmdAcat extends SnpEff
ACAT: Create ACAT score for T2D project Note: This is just used to compile 'ACAT' score in T2D-GENES project, not useful at all for general audience.

Author:
  pcingola

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpeff.SnpEff

`SnpEff.GeneDatabaseFormat, SnpEff.InputFormat, SnpEff.OutputFormat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACAT`
`static final double`
`CONSERVATION_THRESHOLD`
`static final String`
`NCACTIVITY`
`static final String`
`NCCAT`
`static final String`
`NCCONS`
`static final String`
`NCELEMENT`
`static final String`
`NCFACTOR`
`static final String`
`NCMARK`
`static final String`
`T2D_GENES`

### Fields inherited from class org.snpeff.SnpEff

`args, BUILD, BUILD_DATE, canonical, canonicalFile, command, COMMAND_LINE_WIDTH, config, configFile, configOverride, customIntervalFiles, dataDir, debug, DEFAULT_COMMAND, download, expandIub, filterIntervalFiles, genome, genomeVer, help, hgvs, hgvsForce, hgvsOld, hgvsOneLetterAa, hgvsShift, hgvsTrId, interaction, log, maxTranscriptSupportLevel, motif, multiThreaded, nextProt, nextProtKeepAllTrs, noGenome, numWorkers, onlyProtein, onlyRegulation, onlyTranscriptsFile, output, quiet, regulationTracks, REVISION, saveOutput, shiftArgs, snpEffCmd, SOFTWARE_NAME, spliceRegionExonSize, spliceRegionIntronMax, spliceRegionIntronMin, spliceSiteSize, strict, suppressOutput, tags, tagsNo, testing, treatAllAsProteinCoding, upDownStreamLength, verbose, VERSION, VERSION_AUTHOR, VERSION_BUILD, VERSION_MAJOR, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffCmdAcat()`

## Method Summary

Modifier and Type
Method
Description
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run command
`void`
`usage(String message)`
Show usage and exit

### Methods inherited from class org.snpeff.SnpEff

`addRegulationTrack, canonical, cmd, commandLineStr, filterTags, getArgs, getConfig, getConfigFile, getOutput, isOpt, load, loadConfig, loadCustomFile, loadDb, loadMarkers, main, reportValues, run, setCanonical, setConfig, setConfigFile, setDebug, setGenomeVer, setLog, setNextProt, setNextProtKeepAllTrs, setShiftHgvs, setSpliceSiteSize, setSupressOutput, setTesting, setUpDownStreamLength, setVerbose, usageDb, usageGeneric, usageGenericAndDb`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ACAT

public static final String ACAT

See Also:
  - Constant Field Values

### NCCAT

public static final String NCCAT

See Also:
  - Constant Field Values

### NCACTIVITY

public static final String NCACTIVITY

See Also:
  - Constant Field Values

### NCMARK

public static final String NCMARK

See Also:
  - Constant Field Values

### NCFACTOR

public static final String NCFACTOR

See Also:
  - Constant Field Values

### NCELEMENT

public static final String NCELEMENT

See Also:
  - Constant Field Values

### NCCONS

public static final String NCCONS

See Also:
  - Constant Field Values

### T2D_GENES

public static final String T2D_GENES

See Also:
  - Constant Field Values

### CONSERVATION_THRESHOLD

public static final double CONSERVATION_THRESHOLD

See Also:
  - Constant Field Values

## Constructor Details

### SnpEffCmdAcat

public SnpEffCmdAcat()

## Method Details

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `CommandLine`
Overrides:
  `parseArgs` in class `SnpEff`

### run

public boolean run()
Run command

Specified by:
  `run` in interface `CommandLine`
Overrides:
  `run` in class `SnpEff`

### usage

public void usage(String message)
Show usage and exit

Specified by:
  `usage` in interface `CommandLine`
Overrides:
  `usage` in class `SnpEff`